petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningSetPartitionWeights

Sets the weights for each partition.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetPartitionWeights(MatPartitioning part,const PetscReal weights[])

Logically Collective on Partitioning

### Input Parameters

| part | - the partitioning context
| weights | - An array of size nparts that is used to specify the fraction of vertex weight that should be distributed to each sub-domain for the balance constraint. If all of the sub-domains are to be of the same size, then each of the nparts elements should be set to a value of 1/nparts. Note that the sum of all of the weights should be one.

### Notes

The array weights is freed by PETSc so the user should not free the array. In C/C++ the array must be obtained with a call to PetscMalloc(), not malloc().

### Keywords

Partitioning, destroy, context

### See Also

MatPartitioningCreate(), MatPartitioningSetType(), MatPartitioningSetVertexWeights()

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex15.c.html